Subject: Re: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 23 Apr 2016 13:26:23 -0400

On 2016-04-23 13:08, martin rudalics wrote:
>> I opened this issue based on the experience that it took me some
>> non-trivial amount of time to figure out that I had to configure
>> flycheck-pos-tip-delay, and not tooltip-delay.
> 
> I don't know flycheck but ‘tooltip-delay’ is the delay _before_ showing
> the tip.  Earlier we were talking about ‘tooltip-hide-delay’.

Indeed, sorry; I meant flycheck-pos-tip-hide-delay.

> Any package that optionally provides its own delay for hiding tips
> should, by default, use the value of ‘tooltip-hide-delay’ for that
> option.

Isn't that one more burden that we impose on package developers for essentially no good reason? Also. what do you mean by "use the value by default"? Do you mean to initialize a defcustom? That won't work: changing the value of tooltip-hied-delay would not update that of the corresponding defcustom. Or do you mean that all packages using tooltips should explicitly pass a hide-delay argument to pos-tip or tooltip or x-show-tip, with that argument being (or package-local-delay tooltip-hide-delay)? That sounds cumbersome and error prone: if that's how we want things done, why is the delay argument optional?

In any case, do we gain anything from hardcoding 5 as the default?

Thanks for your opinion and responses! (and thanks Eli, too :)
Clément.